UbuntuUpdates.org

Package "xnest"

Name: xnest

Description:

Nested X server

Latest version: 2:1.15.1-0ubuntu2.11
Release: trusty (14.04)
Level: updates
Repository: universe
Head package: xorg-server

Links

Save this URL for the latest version of "xnest": https://www.ubuntuupdates.org/xnest


Download "xnest"


Other versions of "xnest" in Trusty

Repository Area Version
base universe 2:1.15.1-0ubuntu2
security universe 2:1.15.1-0ubuntu2.11

Changelog

Version: 2:1.15.1-0ubuntu2.5 2014-12-10 04:06:28 UTC

  xorg-server (2:1.15.1-0ubuntu2.5) trusty-security; urgency=medium

  * SECURITY UPDATE: Dec 2014 security issues - additional fixes
    - debian/patches/CVE-2014-8xxx/003[4567]*.patch: add additional
      fixes not included in original pre-advisory bundle.
 -- Marc Deslauriers <email address hidden> Tue, 09 Dec 2014 17:12:42 -0500

Source diff to previous version

Version: 2:1.15.1-0ubuntu2.4 2014-12-09 22:06:28 UTC

  xorg-server (2:1.15.1-0ubuntu2.4) trusty-security; urgency=medium

  * SECURITY UPDATE: Dec 2014 protocol handling security issues
    - debian/patches/CVE-2014-8xxx/*.patch: patches from upstream to fix
      a multitude of security issues, including a couple of pre-requisite
      fixes from git.
    - CVE-2014-8091
    - CVE-2014-8092
    - CVE-2014-8093
    - CVE-2014-8094
    - CVE-2014-8095
    - CVE-2014-8096
    - CVE-2014-8097
    - CVE-2014-8098
    - CVE-2014-8099
    - CVE-2014-8100
    - CVE-2014-8101
    - CVE-2014-8102
    - CVE-2014-8103
  * This package does _not_ contain the changes from 2:1.15.1-0ubuntu2.3
    in trusty-proposed.
 -- Marc Deslauriers <email address hidden> Mon, 08 Dec 2014 15:42:08 -0500

Source diff to previous version
CVE-2014-8091 denial of service due to unchecked malloc in client authentication
CVE-2014-8092 intger overflows in X11 core protocol requests
CVE-2014-8093 integer overflows in GLX extension
CVE-2014-8094 integer overflows in DRI2 extensions
CVE-2014-8095 out of bounds access in XInput extensions
CVE-2014-8096 out of bounds access in XC-MISC extension
CVE-2014-8097 out of bounds access in DBE extension
CVE-2014-8098 out of bounds access in GLX extension
CVE-2014-8099 out of bounds access in XVideo extension
CVE-2014-8100 out of bounds access in Render extension
CVE-2014-8101 out of bounds access in RandR extension
CVE-2014-8102 out of bounds access in XFixes extension
CVE-2014-8103 out of bounds access in DRI3 & Present extensions

Version: 2:1.15.1-0ubuntu2.1 2014-09-04 19:06:33 UTC

  xorg-server (2:1.15.1-0ubuntu2.1) trusty-proposed; urgency=medium

  * Copy utopic package back to trusty.
    - Fix ppc64el byte order. (LP: #1333422)
      + xi-dont-copy-too-much.patch
    - Fix valgrind issue with xi copying too much.
      + xi-dont-copy-too-much.patch
    - Fix crash related to suspend/shutdown. (LP: #1208473)
      + mi-dont-process-disabled.patch
    - Fix touch event history overflow.
      + xi2-resize-touch.patch
    - Fix switching to guest sessions. (LP: #1322212)
      + Revive drm_device_keep_trying.patch
 -- Maarten Lankhorst <email address hidden> Wed, 02 Jul 2014 12:37:25 +0200

1333422 Incorrect byte order on ppc64el
1208473 Xorg crashed with SIGABRT in mieqMoveToNewScreen()
1322212 Switching to the Guest session results in a black screen



About   -   Send Feedback to @ubuntu_updates